XmTextGetCenterline(3)

NAME
XmTextGetCenterline — Return the height (length) of a character string when the writing direction is vertical

SYNOPSIS

#include <Xm/Text.h>
int XmTextGetCenterline(
Widget widget);

DESCRIPTION

XmTextGetCenterline accesses the x position of the centerline in the Text widget, relative to the x position of the top of the widget.

widget
    Specifies the Text widget ID.

RETURN VALUE

In the case of horizontal writing, this function accesses 0.

In the case of vertical writing, this function accesses the x position of the first centerline in the Text widget, relative to the x position of the left of the widget. The calculation takes into account the margin width, shadow thickness, highlight thickness, and a half of font width of the first font(set) in the fontlist used for drawing text.

SEE ALSO

XmText(3), XmTextGetBaseline(3)